> For the complete documentation index, see [llms.txt](https://developers.aixchain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.aixchain.com/http-api/api-list/query-the-network/getblockbynum.md).

# GetBlockByNum

Returns the Block Object corresponding to the 'Block Height' specified (number of blocks preceding it).

**BODY PARAMS**

`{`

**`num`**` ``int32`

`}`

**Note:**  &#x20;

* **num** is the block height

**Example:**

```
curl -X POST  https://api.trongrid.io/wallet/getblockbynum -d '{"num":4556275}'
```

**Input:**&#x20;

`{ "num":4556275 }`

**response:**

`{`

&#x20;`"blockID": "00000000004585f34485eeb4822e305632bdfd8d0019d0c8ce2841c2b0fa0644", "block_header": { "raw_data": { "number": 4556275, "txTrieRoot": "0000000000000000000000000000000000000000000000000000000000000000", "witness_address": "4151e7ae7524b5861aabb9aa46008ccdab8dc85515", "parentHash": "00000000004585f20152da2d8de6ae271ac1910a6b1a3d88e00f7ffa6c3b38bb", "version": 21, "timestamp": 1639401906000 }, "witness_signature": "bcd608e088db82839b88f18685154ccb637f2b15dc1be7b1a0cef13db3a7d2be1acc2843e00592e38dee6d6d5aeb67d4d727de27dcae46ca114fd5fea703364b01" }`&#x20;

`}`
